Is there an older version of this software if my computer only has MAC OS x 10.4.11

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    Sorry, but the Video Capture requires an Intel Mac, and at least OS 10.5.

    Mike Evangelist
    Elgato

    Was this useful? Answer 1

    1 of 1 people found this useful

Related Questions